Get all API users
Get all cosigner paired API users (paginated). Endpoint Permission: Admin and Non-Signing Admin.
GET
/
cosigners
/
{cosignerId}
/
api_users
TypeScript
const response: Promise<FireblocksResponse<ApiUsersPaginatedResponse>> = fireblocks.cosigners.getCosignerApiUsers(cosignersApiGetCosignerApiUsersRequest);CompletableFuture<ApiResponse<ApiUsersPaginatedResponse>> response = fireblocks.cosigners().getCosignerApiUsers(cosignerId, order, pageCursor, pageSize);response = fireblocks.cosigners.get_cosigner_api_users(cosigner_id, order, page_cursor, page_size);curl --request GET \
--url https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_usersconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_users"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "44fcead0-7053-4831-a53a-df7fb90d440f",
"lastSeen": "2021-07-01T00:00:00.000Z"
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Path Parameters
The unique identifier of the cosigner
Query Parameters
ASC / DESC ordering (default DESC)
Available options:
ASC, DESC Cursor of the required page
Maximum number of items in the page
Required range:
1 <= x <= 100Response
A paginated response containing CosignerApiUser objects
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<ApiUsersPaginatedResponse>> = fireblocks.cosigners.getCosignerApiUsers(cosignersApiGetCosignerApiUsersRequest);CompletableFuture<ApiResponse<ApiUsersPaginatedResponse>> response = fireblocks.cosigners().getCosignerApiUsers(cosignerId, order, pageCursor, pageSize);response = fireblocks.cosigners.get_cosigner_api_users(cosigner_id, order, page_cursor, page_size);curl --request GET \
--url https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_usersconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_users"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "44fcead0-7053-4831-a53a-df7fb90d440f",
"lastSeen": "2021-07-01T00:00:00.000Z"
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}